hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5.Raw.H5FD.MPI

# Documentation

h5d_ONE_LINK_CHUNK_IO_THRESHOLD :: Num a => a Source #

h5d_MULTI_CHUNK_IO_COL_THRESHOLD :: Num a => a Source #

newtype H5FD_mpio_xfer_t Source #

Constructors

H5FD_mpio_xfer_t Word32 |

#### Instances

Instances details

Storable H5FD_mpio_xfer_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5FD.MPI

Methods

sizeOf :: H5FD_mpio_xfer_t -> Int Source #

alignment :: H5FD_mpio_xfer_t -> Int Source #

peekElemOff :: Ptr H5FD_mpio_xfer_t -> Int -> IO H5FD_mpio_xfer_t Source #

pokeElemOff :: Ptr H5FD_mpio_xfer_t -> Int -> H5FD_mpio_xfer_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5FD_mpio_xfer_t Source #

pokeByteOff :: Ptr b -> Int -> H5FD_mpio_xfer_t -> IO () Source #

peek :: Ptr H5FD_mpio_xfer_t -> IO H5FD_mpio_xfer_t Source #

poke :: Ptr H5FD_mpio_xfer_t -> H5FD_mpio_xfer_t -> IO () Source #

Show H5FD_mpio_xfer_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5FD.MPI Methods showsPrec :: Int -> H5FD_mpio_xfer_t -> ShowS Source # show :: H5FD_mpio_xfer_t -> String Source # showList :: [H5FD_mpio_xfer_t] -> ShowS Source #

h5fd_MPIO_INDEPENDENT :: H5FD_mpio_xfer_t Source #

h5fd_MPIO_COLLECTIVE :: H5FD_mpio_xfer_t Source #

newtype H5FD_mpio_chunk_opt_t Source #

Constructors

H5FD_mpio_chunk_opt_t Word32 |

#### Instances

Instances details

Storable H5FD_mpio_chunk_opt_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5FD.MPI

Methods

sizeOf :: H5FD_mpio_chunk_opt_t -> Int Source #

alignment :: H5FD_mpio_chunk_opt_t -> Int Source #

peekElemOff :: Ptr H5FD_mpio_chunk_opt_t -> Int -> IO H5FD_mpio_chunk_opt_t Source #

pokeElemOff :: Ptr H5FD_mpio_chunk_opt_t -> Int -> H5FD_mpio_chunk_opt_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5FD_mpio_chunk_opt_t Source #

pokeByteOff :: Ptr b -> Int -> H5FD_mpio_chunk_opt_t -> IO () Source #

peek :: Ptr H5FD_mpio_chunk_opt_t -> IO H5FD_mpio_chunk_opt_t Source #

poke :: Ptr H5FD_mpio_chunk_opt_t -> H5FD_mpio_chunk_opt_t -> IO () Source #

Show H5FD_mpio_chunk_opt_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5FD.MPI Methods showsPrec :: Int -> H5FD_mpio_chunk_opt_t -> ShowS Source # show :: H5FD_mpio_chunk_opt_t -> String Source # showList :: [H5FD_mpio_chunk_opt_t] -> ShowS Source #

h5fd_MPIO_CHUNK_DEFAULT :: H5FD_mpio_chunk_opt_t Source #

h5fd_MPIO_CHUNK_ONE_IO :: H5FD_mpio_chunk_opt_t Source #

h5fd_MPIO_CHUNK_MULTI_IO :: H5FD_mpio_chunk_opt_t Source #

newtype H5FD_mpio_collective_opt_t Source #

Constructors

H5FD_mpio_collective_opt_t Word32 |

#### Instances

Instances details

Storable H5FD_mpio_collective_opt_t Source # |

Instance details

Defined in Bindings.HDF5.Raw.H5FD.MPI

Methods

sizeOf :: H5FD_mpio_collective_opt_t -> Int Source #

alignment :: H5FD_mpio_collective_opt_t -> Int Source #

peekElemOff :: Ptr H5FD_mpio_collective_opt_t -> Int -> IO H5FD_mpio_collective_opt_t Source #

pokeElemOff :: Ptr H5FD_mpio_collective_opt_t -> Int -> H5FD_mpio_collective_opt_t -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO H5FD_mpio_collective_opt_t Source #

pokeByteOff :: Ptr b -> Int -> H5FD_mpio_collective_opt_t -> IO () Source #

peek :: Ptr H5FD_mpio_collective_opt_t -> IO H5FD_mpio_collective_opt_t Source #

poke :: Ptr H5FD_mpio_collective_opt_t -> H5FD_mpio_collective_opt_t -> IO () Source #

Show H5FD_mpio_collective_opt_t Source # |
Instance details Defined in Bindings.HDF5.Raw.H5FD.MPI Methods showsPrec :: Int -> H5FD_mpio_collective_opt_t -> ShowS Source # show :: H5FD_mpio_collective_opt_t -> String Source # showList :: [H5FD_mpio_collective_opt_t] -> ShowS Source #

h5fd_MPIO_COLLECTIVE_IO :: H5FD_mpio_collective_opt_t Source #

h5fd_MPIO_INDIVIDUAL_IO :: H5FD_mpio_collective_opt_t Source #